Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl
Class AdhocQueryResponseTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._3._0.rs.impl.RegistryResponseTypeImpl
                      org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.AdhocQueryResponseTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AdhocQueryResponseType, RegistryResponseType

    public class AdhocQueryResponseTypeImpl

extends RegistryResponseTypeImpl
implements AdhocQueryResponseType

An implementation of the model object 'Adhoc Query Response Type'.

The following features are implemented:

- `Registry Object List`
- `Start Index`
- `Total Result Count`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegistryObjectList(RegistryObjectListType newRegistryObjectList, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`RegistryObjectListType` | `getRegistryObjectList()`
`java.math.BigInteger` | `getStartIndex()`
`java.math.BigInteger` | `getTotalResultCount()`
`boolean` | `isSetStartIndex()`
`void` | `setRegistryObjectList(RegistryObjectListType newRegistryObjectList)`
`void` | `setStartIndex(java.math.BigInteger newStartIndex)`
`void` | `setTotalResultCount(java.math.BigInteger newTotalResultCount)`
`java.lang.String` | `toString()`
`void` | `unsetStartIndex()`

Methods inherited from class org.eclipse.ohf.ihe.common.ebxml._3._0.rs.impl.RegistryResponseTypeImpl
`basicSetRegistryErrorList, basicSetResponseSlotList, getRegistryErrorList, getRequestId, getResponseSlotList, getStatus, setRegistryErrorList, setRequestId, setResponseSlotList, setStatus`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryResponseType
`getRegistryErrorList, getRequestId, getResponseSlotList, getStatus, setRegistryErrorList, setRequestId, setResponseSlotList, setStatus`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRegistryObjectList

    public RegistryObjectListType getRegistryObjectList()

  Specified by:
    `getRegistryObjectList` in interface `AdhocQueryResponseType`
  Returns:
    the value of the 'Registry Object List' containment reference.
  See Also:
    `AdhocQueryResponseType.setRegistryObjectList(RegistryObjectListType)`, `QueryPackage.getAdhocQueryResponseType_RegistryObjectList()`

### basicSetRegistryObjectList

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegistryObjectList(RegistryObjectListType newRegistryObjectList,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegistryObjectList

    public void setRegistryObjectList(RegistryObjectListType newRegistryObjectList)

  Specified by:
    `setRegistryObjectList` in interface `AdhocQueryResponseType`
  Parameters:
    `newRegistryObjectList` - the new value of the 'Registry Object List' containment reference.
  See Also:
    `AdhocQueryResponseType.getRegistryObjectList()`

### getStartIndex

    public java.math.BigInteger getStartIndex()

  Specified by:
    `getStartIndex` in interface `AdhocQueryResponseType`
  Returns:
    the value of the 'Start Index' attribute.
  See Also:
    `AdhocQueryResponseType.isSetStartIndex()`, `AdhocQueryResponseType.unsetStartIndex()`, `AdhocQueryResponseType.setStartIndex(BigInteger)`, `QueryPackage.getAdhocQueryResponseType_StartIndex()`

### setStartIndex

    public void setStartIndex(java.math.BigInteger newStartIndex)

  Specified by:
    `setStartIndex` in interface `AdhocQueryResponseType`
  Parameters:
    `newStartIndex` - the new value of the 'Start Index' attribute.
  See Also:
    `AdhocQueryResponseType.isSetStartIndex()`, `AdhocQueryResponseType.unsetStartIndex()`, `AdhocQueryResponseType.getStartIndex()`

### unsetStartIndex

    public void unsetStartIndex()

  Specified by:
    `unsetStartIndex` in interface `AdhocQueryResponseType`
  See Also:
    `AdhocQueryResponseType.isSetStartIndex()`, `AdhocQueryResponseType.getStartIndex()`, `AdhocQueryResponseType.setStartIndex(BigInteger)`

### isSetStartIndex

    public boolean isSetStartIndex()

  Specified by:
    `isSetStartIndex` in interface `AdhocQueryResponseType`
  Returns:
    whether the value of the 'Start Index' attribute is set.
  See Also:
    `AdhocQueryResponseType.unsetStartIndex()`, `AdhocQueryResponseType.getStartIndex()`, `AdhocQueryResponseType.setStartIndex(BigInteger)`

### getTotalResultCount

    public java.math.BigInteger getTotalResultCount()

  Specified by:
    `getTotalResultCount` in interface `AdhocQueryResponseType`
  Returns:
    the value of the 'Total Result Count' attribute.
  See Also:
    `AdhocQueryResponseType.setTotalResultCount(BigInteger)`, `QueryPackage.getAdhocQueryResponseType_TotalResultCount()`

### setTotalResultCount

    public void setTotalResultCount(java.math.BigInteger newTotalResultCount)

  Specified by:
    `setTotalResultCount` in interface `AdhocQueryResponseType`
  Parameters:
    `newTotalResultCount` - the new value of the 'Total Result Count' attribute.
  See Also:
    `AdhocQueryResponseType.getTotalResultCount()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `RegistryResponseTypeImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `RegistryResponseTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `RegistryResponseTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `RegistryResponseTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `RegistryResponseTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RegistryResponseTypeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD